• 1

Er wordt vaak gezegd, Joomla is onveilig als de Joomla hosting onveilig is. Omgekeerd gaat dit dus ook op. Joomla ondersteunen is als hosting provider niet voldoende. De server moet aan allerlei eisen voldoen. Om een klein voorbeeld te noemen, open_basedir moet aan staan en juist geconfigureerd. En gevaarlijke php functies zoals show_source, system, shell_exec, popen moeten uitgeschakeld zijn.

Maar goed, ik zal u niet vermoeien met Joomla server configuraties. Dit is de taak van de hosting provider.

Het belang van updaten

Allereerst is het belangrijk om Joomla en andere componenten te updaten naar de laatste stabiele versie. Dit wil niet zeggen dat u perse van Joomla 1.5 naar Joomla 1.6 moet overstappen, aangezien Joomla 1.5.23 (op het moment van schrijven) de laatste stabiele versie is. Voor Joomla 1.6 moet u op versie 1.6.3 zitten. Het probleem is namelijk, zodra er een beveiligingslek in Joomla gevonden wordt staat dit op het internet. Voordeel is dat het snel opgelost kan worden. Nadeel is dat iedereen weet heeft van dit lek. Ook hackers. Dit bijhouden hoort bij de verantwoordelijkheid van de webontwikkelaar. Bij Amini Joomla Hosting vinden wij dit erg belangrijk. U zult van ons dan ook tijdig het advies krijgen om uw website te updaten.

Hoe controleer ik of mijn site veilig is?

Daarnaast is het verstandig om te controleren of er iets aan de hand is. Op het internet kun je gratis of betaalde websites vinden die op je site zoeken naar problemen. Dit is niet waterdicht. Vaak beloven deze websites u pas de oplossing te geven als u een betaald account neemt op 1 van hun diensten. Maar toch is het een indicatie of uw site veilig is.

Dit zijn 2 gratis scanners om te controleren of er problemen of lekken zijn op je site:
http://sitecheck.sucuri.net/scanner/
http://www.unmaskparasites.com/